Summary:	Multiplayer retro sci-fi deathmatch game
Name:		alienarena
Version:	7.53
Release:	%mkrel 1
License:	GPLv2+
Group:		Games/Arcade
# Subversion:  https://svn.icculus.org/alienarena/trunk/?sortby=date
# Upstream seems too inept to provide a simple source only tarball, so we use svn.
#   svn export svn://svn.icculus.org/alienarena/tags/7.51/ alienarena-7.51/
# These windows files are useless to us.
#   rm -rf alienarena-7.53/*.exe alienarena-7.53/*.dll alienarena-7.53/Tools/aaradiant.exe
#   rm -rf alienarena-7.53/Tools/utils3/*.exe
# These bundled zips are also pretty useless.
#   rm -rf alienarena-7.53/lib_zipfiles
# We don't want the bundled ode code.
#   rm -rf alienarena-7.53/source/unix/ode/
# We don't want most of the tools
#   rm -rf alienarena-7.53/Tools/{FUSE,galaxy,"Map compiling tools",Models,prefabs,RubyBrowser,statsgen,utils3,web,WinInstall}
# arena/ botinfo/ data1/ live in the alienarena-data package
#   mkdir alienarena-data-20120106
#   mv alienarena-7.53/arena/ alienarena-7.53/botinfo/ alienarena-7.53/data1/ alienarena-data-20120106/
#   rm -f alienarena-data-20120106/{arena,data1}/game.so
# This data tarball is used for the alienarena-data package
#   tar -cvJf alienarena-data-20120106.tar.xz alienarena-data-20120106
# This source tarball is used for the alienarena package
#   tar -cvJf alienarena-7.53.tar.xz alienarena-7.53
Source0:	alienarena-%{version}.tar.xz
Source1:	alienarena.desktop
Source2:	GPL.acebot.txt
Source3:	alienarena.png
Patch3:		alienarena-7.45-no-qglBlitFramebufferEXT.patch
Patch4:		alienarena-7.51-nodata.patch
URL:		http://red.planetarena.org/
BuildRequires:	libxext-devel
BuildRequires:	libxxf86vm-devel
BuildRequires:	libjpeg-devel
BuildRequires:	GL-devel
BuildRequires:	libmesaglu-devel
BuildRequires:	curl-devel
BuildRequires:	libpng-devel
BuildRequires:	libvorbis-devel
BuildRequires:	openal-soft-devel
BuildRequires:	ode-devel
BuildRequires:	freetype2-devel
BuildRequires:	desktop-file-utils
Requires:	alienarena-data = 20120106
Requires:	desktop-file-utils >= 0.9, glxinfo
Requires:	openal%{?_isa}
Requires:	opengl-games-utils

%description
Alien Arena 2011 is an online deathmatch game with over 30 levels, seven modes 
of play, loads of mutators, built-in bots, multiple player characters and weapons
(with alt-fire modes).


%package server
Group: Games/Arcade
Summary: Dedicated server for alienarena, the FPS game
Requires: alienarena-data = 20120106


%description server
Alien Arena 2011 is an online deathmatch game with over 30 levels, seven modes
of play, loads of mutators, built-in bots, multiple player characters and weapons
(with alt-fire modes).

This is the dedicated server.


%prep
%setup -q

%patch3 -p1 -b .no-qglBlitFramebufferEXT
%patch4 -p1 -b .nodata

# Copy license clarification for acebot
cp -p %{SOURCE2} .

# clean up prebuilt binary files
[[ -e crx ]] && rm crded crx crx.sdl {arena,data1}/game.so

# clean up end-line encoding
[[ -e docs/README.txt ]] && %{__sed} -i 's/\r//' docs/README.txt

# So, AlienArena now "uses" openal by dlopening the library, which is hardcoded to 
# "libopenal.so". That file only lives in openal-devel, so we need to adjust the hardcoding.
LIBOPENAL=`ls %{_libdir}/libopenal.so.? | cut -d "/" -f 4`
sed -i "s|\"libopenal.so\"|\"$LIBOPENAL\"|g" source/unix/qal_unix.c

%build
export PTHREAD_LIBS="-lpthread"
export PTHREAD_CFLAGS="-pthread" 
%configure2_5x --with-system-libode --without-xf86dga
%make

%install
%makeinstall_std

%{__mkdir_p} %{buildroot}%{_datadir}/applications
desktop-file-install --vendor "%{_real_vendor}"			\
	--dir %{buildroot}%{_datadir}/applications	\
	%{SOURCE1}

mkdir -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/
install -m 644 %{SOURCE3} %{buildroot}/%{_datadir}/icons/hicolor/32x32/apps/%{name}.png

# Fedora's little opengl checker
ln -s opengl-game-wrapper.sh %{buildroot}/%{_bindir}/%{name}-wrapper
ln -s crx %{buildroot}/%{_bindir}/%{name}
ln -s crx-ded %{buildroot}/%{_bindir}/%{name}-server

%files
%defattr(-,root,root,-)
%doc GPL.acebot.txt
%{_bindir}/crx
%{_bindir}/%{name}
%{_bindir}/%{name}-wrapper
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/alienarena.png

%files server
%defattr(-,root,root,-)
%{_bindir}/crx-ded
%{_bindir}/%{name}-server


%changelog

* Tue Jan 10 2012 zezinho <zezinho> 7.53-1.mga2
+ Revision: 194798
- new version

  + juancho <juancho>
    - Removed rm -fr %%{buildroot} calls on %%install and %%clean

* Mon Oct 31 2011 fwang <fwang> 7.52-2.mga2
+ Revision: 160298
- fix requires on data package

* Mon Oct 17 2011 tv <tv> 7.52-1.mga2
+ Revision: 155918
- new release

* Sun May 08 2011 ahmad <ahmad> 7.51-2.mga1
+ Revision: 95992
- Require opengl-games-utils for the -wrapper to work

* Fri May 06 2011 tv <tv> 7.51-1.mga1
+ Revision: 95342
- new release
- drop patch5 (merged upstream)
- build without xf86dga
- build with system ode library
- drop useless BR on X11-devel
- BR freetype2-devel instead of freetype-devel
- one BR per line

* Thu Apr 28 2011 wally <wally> 7.50-4.mga1
+ Revision: 92847
- fix desktop file name
- use configure2_5x and makeinstall_std macros

* Sun Mar 06 2011 ahmad <ahmad> 7.50-3.mga1
+ Revision: 65168
+ rebuild (emptylog)

* Sat Mar 05 2011 tv <tv> 7.50-1.mga1
+ Revision: 64890
- fix BR GL-devel
- imported package alienarena


* Sat Jan 29 2011 Thierry Vignaud <tvignaud@mandriva.com> 7.50-1
- initial release (based on FC)
